PLaSK library

Loading...
Searching...
No Matches
Public Member Functions | List of all members
TNT::i_refvec< T > Class Template Reference

`#include <solvers/gain/wasiak/wzmocnienie/tnt/tnt_i_refvec.h>`

## Public Member Functions
| i_refvec ()
| i_refvec (int n)
| In case n is 0 or negative, it does NOT call new.
| i_refvec (T *data)
| i_refvec (const i_refvec &v)
T * | begin ()
const T * | begin () const
T & | operator[] (int i)
const T & | operator[] (int i) const
i_refvec< T > & | operator= (const i_refvec< T > &V)
void | copy_ (T *p, const T *q, const T *e)
void | set_ (T *p, const T *b, const T *e)
int | ref_count () const
int | is_null () const
void | destroy ()
| ~i_refvec ()

## Detailed Description

template<class T>
class TNT::i_refvec< T >

Definition at line 55 of file tnt_i_refvec.h.

## Constructor & Destructor Documentation

## ◆ i_refvec() [1/4]

template<class T >

TNT::i_refvec< T >::i_refvec | ( |  | ) |

Definition at line 92 of file tnt_i_refvec.h.

## ◆ i_refvec() [2/4]

template<class T >

TNT::i_refvec< T >::i_refvec | ( | int | n | ) |
| explicit

In case n is 0 or negative, it does NOT call new.

Definition at line 98 of file tnt_i_refvec.h.

## ◆ i_refvec() [3/4]

template<class T >

TNT::i_refvec< T >::i_refvec | ( | T * | data | ) |
| inline

Definition at line 121 of file tnt_i_refvec.h.

## ◆ i_refvec() [4/4]

template<class T >

TNT::i_refvec< T >::i_refvec | ( | const i_refvec< T > & | v | ) |
| inline

Definition at line 112 of file tnt_i_refvec.h.

## ◆ ~i_refvec()

template<class T >

TNT::i_refvec< T >::~i_refvec | ( |  | ) |

Definition at line 223 of file tnt_i_refvec.h.

## Member Function Documentation

## ◆ begin() [1/2]

template<class T >

T * TNT::i_refvec< T >::begin | ( |  | ) |
| inline

Definition at line 124 of file tnt_i_refvec.h.

## ◆ begin() [2/2]

template<class T >

const T * TNT::i_refvec< T >::begin | ( |  | ) | const
| inline

Definition at line 143 of file tnt_i_refvec.h.

## ◆ copy_()

template<class T >

void TNT::i_refvec< T >::copy_ | ( | T * | p,
|  | const T * | q,
|  | const T * | e
| ) |  |

Definition at line 85 of file tnt_i_refvec.h.

## ◆ destroy()

template<class T >

void TNT::i_refvec< T >::destroy | ( |  | ) |
| inline

Definition at line 174 of file tnt_i_refvec.h.

## ◆ is_null()

template<class T >

int TNT::i_refvec< T >::is_null | ( |  | ) | const
| inline

Definition at line 202 of file tnt_i_refvec.h.

## ◆ operator=()

template<class T >

i_refvec< T > & TNT::i_refvec< T >::operator= | ( | const i_refvec< T > & | V | ) |
| inline

Definition at line 151 of file tnt_i_refvec.h.

## ◆ operator[]() [1/2]

template<class T >

T & TNT::i_refvec< T >::operator[] | ( | int | i | ) |
| inline

Definition at line 136 of file tnt_i_refvec.h.

## ◆ operator[]() [2/2]

template<class T >

const T & TNT::i_refvec< T >::operator[] | ( | int | i | ) | const
| inline

Definition at line 130 of file tnt_i_refvec.h.

## ◆ ref_count()

template<class T >

int TNT::i_refvec< T >::ref_count | ( |  | ) | const
| inline

Definition at line 214 of file tnt_i_refvec.h.

## ◆ set_()

template<class T >

void TNT::i_refvec< T >::set_ | ( | T * | p,
|  | const T * | b,
|  | const T * | e
| ) |  |

The documentation for this class was generated from the following file:

- solvers/gain/wasiak/wzmocnienie/tnt/tnt_i_refvec.h